from flask_app.general.商务技术评分提取 import compute_total_score
data={
"技术评分": {
        "分标172404-1304085-9999 红外热成像仪技术详评细则": {
            "技术业绩(10--13)": [
                {
                    "评分": "13分",
                    "要求": "投标人提供了500台及以上红外热成像仪的供货业绩。"
                },
                {
                    "评分": "12分",
                    "要求": "投标人提供了100～499台红外热成像仪的供货业绩。"
                },
                {
                    "评分": "10分",
                    "要求": "投标人提供了1～99台红外热成像仪的供货业绩。"
                }
            ],
            "关键技术能力(30--46)": [
                {
                    "评分": "8分",
                    "要求": "主要技术参数项目（带＊号项目包括：探测器像素（分辨率）、热灵敏度（噪声等效温差，NETD）、测温准确度（准确度））完全响应且有1项及以上优于招标文件要求。"
                },
                {
                    "评分": "6分",
                    "要求": "主要技术参数项目完全响应。"
                },
                {
                    "评分": "22分",
                    "要求": "重要技术参数项目（包括：测温一致性、连续稳定工作时间）完全响应且有1项及以上优于招标文件要求。"
                },
                {
                    "评分": "18分",
                    "要求": "重要技术参数项目完全响应。"
                },
                {
                    "评分": "14分",
                    "要求": "重要技术参数项目一项不满足减2分，以2分为级差，最低得14分。"
                },
                {
                    "评分": "8分",
                    "要求": "其它技术参数及使用环境条件等完全响应且有1项及以上优于招标文件要求。"
                },
                {
                    "评分": "6分",
                    "要求": "其它技术参数及使用环境条件等完全响应。"
                },
                {
                    "评分": "4分",
                    "要求": "其它技术参数及使用环境条件等有1项及以上不满足招标文件要求。"
                },
                {
                    "评分": "8分",
                    "要求": "投标产品的检验报告与投标文件技术规范响应的技术参数、性能指标、使用环境条件等完全一致或检验报告值优于响应值。"
                },
                {
                    "评分": "6分",
                    "要求": "投标产品的检验报告与投标文件技术规范响应的技术参数、性能指标、使用环境条件等一项检验报告值低于响应值减1分，以1分为级差，最低得6分。"
                }
            ],
            "人力资源(1--3)": [
                {
                    "评分": "3分",
                    "要求": "拥有高级及以上职称人员和高级技师人员≥30人。"
                },
                {
                    "评分": "2分",
                    "要求": "15≤拥有高级及以上职称人员和高级技师人员＜30人。"
                },
                {
                    "评分": "1分",
                    "要求": "拥有高级及以上职称人员和高级技师人员＜15人。"
                }
            ],
            "工装设备(1--3)": [
                {
                    "评分": "3分",
                    "要求": "生产设备品种、数量和精度全部优于产品制造需要者，且检测设备先进，方法科学规范，具备全部型式试验项目试验能力。"
                },
                {
                    "评分": "2分",
                    "要求": "生产设备品种、数量和精度全部满足产品制造需要，且主要工装优于制造能力需要；且检测设备优良，方法严谨规范，具备部分型式试验项目试验能力。"
                },
                {
                    "评分": "1分",
                    "要求": "生产设备品种、数量和精度基本满足产品制造需要，且检测设备可靠，方法合理规范，仅满足出厂试验需要。"
                }
            ],
            "关键组件／原材料（1--3）": [
                {
                    "评分": "3分",
                    "要求": "优于技术规范书中货物组件材料配置要求。"
                },
                {
                    "评分": "2分",
                    "要求": "完全满足技术规范书中货物组件材料配置要求。"
                },
                {
                    "评分": "1分",
                    "要求": "有一项不满足技术规范书中货物组件材料配置要求。"
                }
            ],
            "制造环境(2--3)": [
                {
                    "评分": "3分",
                    "要求": "具有封闭厂房和净化车间，生产环境的温度、湿度、照明和降尘量等全部优于国家或行业规程规定。"
                },
                {
                    "评分": "2分",
                    "要求": "仅能满足一般制造能力需要。"
                }
            ],
            "工艺方法(1--3)": [
                {
                    "评分": "3分",
                    "要求": "生产线及其工艺流程科学先进，针对关键工序节点的制造保障设备、措施设定设计管控科学有效，各工序的作业指导书、工艺控制文件齐全、统一、规范，产品工艺技术成熟、稳定，现场记录内容规范、详实，并具有可追溯性。"
                },
                {
                    "评分": "2分",
                    "要求": "生产线及其工艺流程满足质量保证需要，针对关键工序节点的制造保障设备、措施设定设计管控比较科学有效，主要工序的作业指导书、工艺控制文件齐全、统一、规范，产品工艺技术成熟、稳定，现场记录内容规范、详实，并具有可追溯性。"
                },
                {
                    "评分": "1分",
                    "要求": "生产线及其工艺流程满足质量保证需要，但各工序节点保障、管控水平一般，主要工序的作业指导书、工艺控制文件不够齐全、统一、规范，现场记录内容不够规范、详实，可追溯性较差。"
                }
            ],
            "专项应答(0--3)": [
                {
                    "评分": "3分",
                    "要求": "对产品专项应答或招标文件要求的提升设备质量专项应答等进行响应，应答响应情况较好。"
                },
                {
                    "评分": "2分",
                    "要求": "对产品专项应答或招标文件要求的提升设备质量专项应答等进行响应，应答响应情况一般。"
                },
                {
                    "评分": "0分",
                    "要求": "未应答响应。"
                }
            ],
            "绩效评价(0--20)": [
                {
                    "评分": "20分",
                    "要求": "重点考虑供应商在运行质量方面的表现，同时考虑供应商在生产制造、履约协调、现场安装、全寿命周期等方面的综合表现，根据评价结果进行评审。"
                }
            ],
            "投标响应(1--3)": [
                {
                    "评分": "3分",
                    "要求": "投标文件响应情况良好。"
                },
                {
                    "评分": "2分",
                    "要求": "投标文件响应情况一般。"
                },
                {
                    "评分": "1分",
                    "要求": "投标文件响应情况较差。"
                }
            ]
        },
        "分标172404-1701016-9999防火板技术详评细则": {
            "投标文件对招标文件响应情况(5--10)": [
                {
                    "评分": "7分",
                    "要求": "投标文件的对应性、规范性、全面性最优者。"
                },
                {
                    "评分": "3分",
                    "要求": "认真填写技术偏差表或清楚地说明无技术偏差。"
                },
                {
                    "评分": "1分",
                    "要求": "无技术偏差但在表中无说明。"
                },
                {
                    "评分": "0分",
                    "要求": "有技术偏差而不列出。"
                }
            ],
            "投标设备对技术规范书的响应情况（23--35）": [
                {
                    "评分": "10分",
                    "要求": "投标文件所述产品主要经济技术指标全部响应。"
                },
                {
                    "评分": "6分",
                    "要求": "投标文件所述产品主要经济技术指标每出现1项不符合项扣1分，最低得6分。"
                },
                {
                    "评分": "25分",
                    "要求": "对招标文件主要参数的响应情况全部满足技术规范要求。"
                },
                {
                    "评分": "17分",
                    "要求": "对招标文件主要参数的响应情况每出现1项不符合项扣1分，最低得17分。"
                }
            ],
            "合同业绩(9--15)": [
                {
                    "评分": "15分",
                    "要求": "超过公告要求200％及以上。"
                },
                {
                    "评分": "13分",
                    "要求": "超过公告要求100％及以上。"
                },
                {
                    "评分": "11分",
                    "要求": "超过公告要求50％及以上。"
                },
                {
                    "评分": "9分",
                    "要求": "业绩满足公告要求。"
                }
            ],
            "资源实力(5--20)": [
                {
                    "评分": "5分",
                    "要求": "生产和试验装备满足要求。"
                },
                {
                    "评分": "3分",
                    "要求": "生产和试验装备一般。"
                },
                {
                    "评分": "1分",
                    "要求": "生产和试验装备较差。"
                },
                {
                    "评分": "5分",
                    "要求": "工艺水平满足要求。"
                },
                {
                    "评分": "3分",
                    "要求": "工艺水平一般。"
                },
                {
                    "评分": "1分",
                    "要求": "工艺水平较差。"
                },
                {
                    "评分": "5分",
                    "要求": "人员实力强。"
                },
                {
                    "评分": "3分",
                    "要求": "人员实力一般。"
                },
                {
                    "评分": "1分",
                    "要求": "人员实力较差。"
                },
                {
                    "评分": "5分",
                    "要求": "剩余生产能力按照采购文件要求酌情打分。"
                }
            ],
            "质量控制(3--10)": [
                {
                    "评分": "5分",
                    "要求": "外购外协组件材料优秀可靠水平较高。"
                },
                {
                    "评分": "4分",
                    "要求": "外购外协组件材料等同于采购文件要求。"
                },
                {
                    "评分": "3分",
                    "要求": "外购外协组件材料略有差异，但基本满足采购文件要求。"
                },
                {
                    "评分": "5分",
                    "要求": "质量保证措施得力。"
                },
                {
                    "评分": "1分",
                    "要求": "质量保证措施一般。"
                },
                {
                    "评分": "0分",
                    "要求": "没有质量保证措施。"
                }
            ],
            "服务合作(3--10)": [
                {
                    "评分": "3分",
                    "要求": "技术服务措施、技术力量、管理水平良好。"
                },
                {
                    "评分": "2分",
                    "要求": "技术服务措施、技术力量、管理水平一般。"
                },
                {
                    "评分": "1分",
                    "要求": "技术服务措施、技术力量、管理水平较差。"
                },
                {
                    "评分": "3分",
                    "要求": "维修、售后服务的承诺书和实施细则良好。"
                },
                {
                    "评分": "2分",
                    "要求": "维修、售后服务的承诺书和实施细则一般。"
                },
                {
                    "评分": "1分",
                    "要求": "维修、售后服务的承诺书和实施细则较差。"
                }
            ],
            "合同执行相关人员描述（1-4分）": [
                {
                    "评分": "4分",
                    "要求": "良好。"
                },
                {
                    "评分": "2-3分",
                    "要求": "一般。"
                },
                {
                    "评分": "1分",
                    "要求": "较差。"
                }
            ]
        },
        "分标172404-1802010-9999防火涂料技术详评细则": {
            "一、投标文件对招标文件要求的功能及技术参数响应情况（3--10）": [
                {
                    "评分": "10分",
                    "要求": "投标文件所述产品主要技术参数／物料描述／物料扩展描述响应情况。"
                }
            ],
            "二、检测设备、检验报告响应情况(6--10)": [
                {
                    "评分": "10分",
                    "要求": "产品检测流程严谨，检测设备的性能、数量、种类等满足要求，检测试验报告齐全。"
                },
                {
                    "评分": "6分",
                    "要求": "检测报告不全者，以1分为级差扣分，最低得6分。"
                }
            ],
            "三、制造厂工装设备、质量管理体系响应情况（6--10）": [
                {
                    "评分": "5分",
                    "要求": "产品工装设备的性能、数量、种类等方面水平较高。"
                },
                {
                    "评分": "3分",
                    "要求": "产品工装设备的性能、数量、种类等方面水平较低。"
                },
                {
                    "评分": "5分",
                    "要求": "产品质量管理体系及有关流程的响应情况明确的质量管理流程，制造工艺及质量保证措施全面可行，执行的质量标准符合国家现行各项标准要求。"
                },
                {
                    "评分": "3分",
                    "要求": "产品质量管理体系及有关流程的响应情况不符合要求。"
                }
            ],
            "四、原材料、组部件、配套件响应情况(6--10)": [
                {
                    "评分": "5分",
                    "要求": "原材料质量水平、检测报告等响应情况好。"
                },
                {
                    "评分": "3分",
                    "要求": "原材料质量水平、检测报告等响应情况一般。"
                },
                {
                    "评分": "5分",
                    "要求": "组部件、配套件种类齐全并附有合格的检测报告。"
                },
                {
                    "评分": "3分",
                    "要求": "组部件、配套件种类不齐全或检测报告不合格。"
                }
            ],
            "五、销售业绩(10--30)": [
                {
                    "评分": "30分",
                    "要求": "根据投标人提供的有效的供货业绩证明（以增值税发票累计金额为准）酌情评分。"
                }
            ],
            "六、履约评价(0--30)": [
                {
                    "评分": "10分",
                    "要求": "根据取得好评履约评价意见的情况，进行评分，无评价意见不得分。"
                },
                {
                    "评分": "20分",
                    "要求": "如供应商为经销商，根据取得的制造商授权书数量，酌情评分，如为制造商则得满分。"
                }
            ]
        }
    },
}
res=compute_total_score(data)
print(res)